=== cnd.remote/test/unit/data/org/netbeans/modules/cnd/remote/pbuild/LinuxTouchRfsBuildTestCase/touch-on-linux/Makefile ===
all:
	touch touch-on-linux.c
	gcc touch-on-linux.c -o touch-on-linux-bin

clean:
	rm -f touch-on-linux-bin
