=== debian/changelog ===
netbeans (7.0.1+dfsg1-5ubuntu2) quantal; urgency=low

  * Keep the build dependency on default-jdk to find jni.h.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Oct 2012 11:48:20 +0200

netbeans (7.0.1+dfsg1-5ubuntu1) quantal; urgency=low

  * Explicitly build using OpenJDK 6, to fix the build failure.
    7.0.1 is not ready to build using Java 7.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Sep 2012 18:23:18 +0200

netbeans (7.0.1+dfsg1-5) unstable; urgency=low

  * Include junit library definitions.
  * Make libnb-platform13-java depend on antlr3. (Closes: #651214)
  * Avoid including javadoc twice in libnb-platform13-java-doc.
  * Replace dependency libpg-java with libpostgresql-jdbc-java
      (Closes: #659397)
  * Add symlink to jaxp-1.4.jar (Closes: #653915)

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Wed, 15 Feb 2012 20:36:14 +0000

netbeans (7.0.1+dfsg1-4) unstable; urgency=low

  * Patch core.osgi to use osgi-core 4.3. (Closes: #649750)
  * Correct binary package names and install locations.
      (Closes: #646856)
  * Install AbsoluteLayout.jar in a separate package.
      (Closes: #646857)

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Thu, 01 Dec 2011 21:59:37 +0000

netbeans (7.0.1+dfsg1-3) unstable; urgency=low

  * Use libosgi-core-java and libosgi-compendium-java for osgi.
  * Use libflute-java instead of libflute-1.3-jfree-java.

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Sun, 16 Oct 2011 20:53:51 +0100

netbeans (7.0.1+dfsg1-2) unstable; urgency=low

  * Handle rename of libcommons-net-java to libcommons-net1-java.
  * Netbeans should depend on a JDK.
      (Closes: #499870)
  * Provide netbeans-ide and netbeans-platform.

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Sun, 11 Sep 2011 22:45:45 +0100

netbeans (7.0.1+dfsg1-1) unstable; urgency=low

  * New upstream release
  * Build NetBeans platform from this source too. (Closes: #610927)
  * Bump to Standards-Version 3.9.2.
  * Added myself to Uploaders.
  * Build Windows launcher using mingw.
  * Move utilility libraries to their own packages. (Closes: #490433)
  * Also close some bugs which were fixed in the 6.9 series which never
    entered the Debian archives:
    - Use packaged swinglayout.jar. (Closes: #448922)
    - Depend on generic Java. (Closes: #499417)
    - Package for Debian Main. (Closes: #531952)
  * Update Copyright file to cover all files correctly.

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Tue, 02 Aug 2011 23:58:58 +0100

netbeans (6.9-1) unstable; urgency=low

  * New upstream version based off of Ubuntu packages.
    (Closes: #543907)
    (Closes: #478762)
  * Add Debian Java team as Maintainer, Yulia and myself as Uploaders.
  * Update packaging to use 3.0 (quilt) source format.
  * Update packaging to use dh with javahelper.
  * Bump to Standards-Version 3.9.1.
  * Refresh all patches.
  * Use Java SwingWorker included in standard JDK distribution.
  * Migrate to junit4.
  * Migrate to libservlet2.5-java.
  * Migrate to use Better Swing Application Framework.
  * Use standard svnclientadapter from subclipse.
  * Migrate to ini4j-0.5.2-SNAPSHOT.

 -- Andres Mejia <mcitadel@gmail.com>  Sun, 23 Jan 2011 15:42:29 -0500

netbeans (6.9-0ubuntu2) maverick; urgency=low

  * Bug fix upload:
     - correct netbeans-6.9~updatecenters.patch to point to Ubuntu UC

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Fri, 20 Aug 2010 17:19:59 +0400

netbeans (6.9-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #595000)
  * debian/control/Standards-Versions is updated to 3.9.0 
  * debian/copyright file is updated 

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Thu, 05 Aug 2010 12:17:51 +0400

netbeans (6.8-0ubuntu4) lucid; urgency=low

  * Update Center is switched to the Ubuntu specific one (LP: #544459)
     - patches/01-updatecenters.patch is updated

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Wed, 31 Mar 2010 15:19:29 +0400

netbeans (6.8-0ubuntu3) lucid; urgency=low

  * debian/patches/l10n.patch is added (LP: #527547)
  * debiian/rules is updated to build l10n
  * debian/control dependency to default-jdk-doc | sun-java6-doc is added 
     for libnb-java3-java package (LP: #545563)

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Fri, 26 Mar 2010 16:26:52 +0300

netbeans (6.8-0ubuntu2) lucid; urgency=low

  * Bug fix upload
    - debian/patches/14-config.patch added (LP: #315499) 

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Wed, 17 Feb 2010 15:44:50 +0300

netbeans (6.8-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #495478)
  * postinstall script is removed (LP: #464939)
  * control/Standards-Versions is updated to 3.8.4 
  * debian/copyright file is updated to point to the correct location

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Fri, 12 Feb 2010 20:36:32 +0300

netbeans (6.7.1-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #381814)
    * Fixed upstream bugs:
     -  (LP: #336349)
     -  (LP: #354144)
     -  (LP: #357579)
     -  (LP: #366740)
     -  (LP: #401407)
  * control/Standards-Versions is updated to 3.8.3
  * control/Section is updated to java for *-java

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Mon, 13 Jul 2009 19:05:01 +0400

netbeans (6.5-0ubuntu2.1) jaunty; urgency=low

  * Bug fix upload (LP: #353080) 
     - Added a critical patch 96-fix-lucene.patch

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Mon, 25 May 2009 23:28:08 +0400

netbeans (6.5-0ubuntu2) jaunty; urgency=low

  * Added bugfix patches from 6.5.1 for NetBeans IDE (LP: #345562)
  * 40-ide-launcher.patch is updated (LP: #307103)
  * debian/rules: commons-logging jar's version changed from 1.0.4 to 1.1.

 -- Yulia Novozhilova <Yulia.Novozhilova@sun.com>  Tue, 31 Mar 2009 18:34:02 +0400

netbeans (6.5-0ubuntu1) jaunty; urgency=low

  * New upstream release. (LP: #251173)
    -Added "Conflicts: netbeans-ide" to control (LP: #257307)
    -Added watch file and get-orig-source target to rules file


