=== debian/control ===
Source: netbeans
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Yulia Novozhilova <Yulia.Novozhilova@sun.com>,
 Andres Mejia <mcitadel@gmail.com>, Andrew Ross <ubuntu@rossfamily.co.uk>
Build-Depends: debhelper (>= 7.0.50~), javahelper, ant (>= 1.7.0),
 ant-optional (>= 1.7.0), default-jdk, openjdk-6-jdk, mingw32, maven-repo-helper,
 w3c-dtd-xhtml, javacc,
 libjemmy2-java, javahelp2, libbindex-java,
 libswing-layout-java (>= 1.0.3), libjna-java (>= 3.2.7-2~),
 libfelix-framework-java, libfelix-main-java, libosgi-core-java,
 libosgi-compendium-java, antlr3 (>= 3.2), libstringtemplate-java,
 junit4 (>= 4.6), libhamcrest-java,
 libcommons-codec-java, libbytelist-java, libcommons-logging-java,
 libcommons-net1-java, libflute-java, libfreemarker-java,
 libini4j-java (>=0.5), liboro-java, libjsch-java (>= 0.1.42),
 libjvyamlb-java (>= 0.2.5-2~), libjzlib-java (>= 1.0.7),
 liblucene2-java (>= 2.4.1), libxml-commons-resolver1.1-java (>= 1.2-3),
 libsac-java, libservlet2.5-java, libsvnclientadapter-java, libsvn-java,
 libsvnkit-java, libswingx1-java, libtrilead-ssh2-java,
 libsimple-validation-java, libxerces2-java, libpostgresql-jdbc-java,
 libmysql-java,
 libbetter-appframework-java,  libbeansbinding-java, libcglib-java,
 libnb-javaparser-java (>= 7.0.1~), junit
Standards-Version: 3.9.2
Homepage: http://netbeans.org/
Vcs-Browser: http://git.debian.org/?p=pkg-java/netbeans.git
Vcs-Git: git://git.debian.org/git/pkg-java/netbeans.git

Package: libnb-platform13-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}, javahelp2, 
 libswing-layout-java (>= 1.0.3), libjna-java(>= 3.2.7-2~), junit4 (>= 4.6),
 libfelix-framework-java, libfelix-main-java, libosgi-core-java,
 libosgi-compendium-java, libnb-org-openide-util-java, antlr3 (>= 3.2),
 libnb-org-openide-util-lookup-java, libnb-org-openide-modules-java
Suggests: libnb-platform13-java-doc
Provides: netbeans-platform
Replaces: netbeans-platform
Conflicts: netbeans-platform
Description: NetBeans Platform for building rich desktop applications in Java
 The NetBeans Platform is a framework for building rich desktop applications
 in Java. It provides the code that is required to connect actions to menu 
 items, toolbar items, keyboard shortcuts and more. It is the core of the 
 NetBeans IDE.
 .
 This package provides the platform itself.

Package: libnb-platform-devel-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}, libnb-platform13-java,
 ant, libjemmy2-java, javahelp2, libbindex-java,
Replaces: libnb-platform8-devel-java, libnb-platform7-devel-java
Conflicts: libnb-platform8-devel-java, libnb-platform7-devel-java
Description: Build harness for NetBeans Platform
 The NetBeans Platform is a framework for building rich desktop applications
 in Java. It provides the code that is required to connect actions to menu 
 items, toolbar items, keyboard shortcuts and more. It is the core of the 
 NetBeans IDE.
 .
 This package contains the NetBeans Platform Harness containing the build 
 scripts and ant tasks required to build an application on top of NetBeans 
 Platform.

Package: libnb-platform13-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: ${java:Recommends}
Suggests: libnb-platform13-java
Enhances: libnb-platform13-java
Description: NetBeans Platform javadoc 
 NetBeans Platform is a set of modules, each providing their own APIs
 and working together or in a standalone mode. This package provides
 one master javadoc to all of them.

Package: libnb-org-openide-util-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}, libnb-org-openide-util-lookup-java
Provides: libopenide-util-java
Replaces: libopenide-util-java
Conflicts: libopenide-util-java
Description: Utility classes from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own 
 APIs and working together or in a standalone mode. This package provides
 some utility functions used by the modules that make up the platform.

Package: libnb-org-openide-util-lookup-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Description: Utility lookup classes from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own 
 APIs and working together or in a standalone mode. This package provides
 some utility functions for lookups and is used by the modules that make 
 up the platform.

Package: libnb-org-openide-modules-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}, libnb-org-openide-util-java,
 libnb-org-openide-util-lookup-java
Description: Utility classes for modules from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own 
 APIs and working together or in a standalone mode. This package provides
 some utility functions for managing NetBeans modules.

Package: libnb-absolutelayout-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Description: Java LayoutManager to allow placement in absolute positions
 This library is part of the Netbeans platform and provides an 
 implementation of the java.awt.LayoutManager interface. This 
 implementation allows you to position components by their 
 absolute position.

Package: netbeans
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}, libnb-platform13-java (>= 7.0),
 openjdk-6-jdk | java6-sdk | java7-sdk,
 libnb-ide14-java (= ${binary:Version}), 
 libnb-java5-java (= ${binary:Version}),
 libnb-apisupport3-java (= ${binary:Version})
Conflicts: netbeans5.5, netbeans-ide
Replaces: netbeans5.5, netbeans-ide
Provides: netbeans-ide
Description: Extensible Java IDE
 Integrated Development Environment for software developers. It supports 
 development of desktop, enterprise, web, and mobile applications. Package
 includes the Base IDE, Java Development Tools and Plug-in Development Tools. 
 Support for PHP, Ruby, C/C++, Java EE and others can be added.

Package: libnb-ide14-java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}, libnb-platform13-java (>= 7.0),
 antlr3 (>= 3.2), libcommons-codec-java, libbytelist-java,
 libcommons-logging-java, libcommons-net1-java, libflute-java,
 libfreemarker-java, libini4j-java (>= 0.5), liboro-java,
 libjsch-java (>= 0.1.42), libjvyamlb-java (>= 0.2.5-2~),
 libjzlib-java (>= 1.0.7), liblucene2-java (>= 2.4.1),
 libxml-commons-resolver1.1-java (>= 1.2-3), libsac-java,
 libservlet2.5-java, libsvnclientadapter-java, libsvn-java,
 libsvnkit-java, libswingx1-java, libtrilead-ssh2-java,
 libsimple-validation-java, libxerces2-java, libpostgresql-jdbc-java,
 libmysql-java
Description: Common Integrated Development Environment Libraries for NetBeans
 The NetBeans Platform is a set of modules, each providing their own 
 APIs and working together or in a standalone mode. This package contains 
 independent libraries for use in the NetBeans IDE.

Package: libnb-java5-java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends},
 libnb-platform13-java (>= 7.0), libnb-ide14-java (= ${binary:Version}),
 libnb-absolutelayout-java, junit, junit-doc, junit4-doc,
 libbetter-appframework-java,  libbeansbinding-java, libcglib-java,
 libnb-javaparser-java (>= 7.0.1~), ant (>= 1.7.0), ant-optional (>= 1.7.0)
Description: Common Java Related Libraries for NetBeans
 The NetBeans Platform is a set of modules, each providing their own 
 APIs and working together or in a standalone mode. This package contains 
 common libraries for the NetBeans Java IDE.

Package: libnb-apisupport3-java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}, libnb-platform13-java (>= 7.0),
 libnb-platform-devel-java (>= 7.0), libnb-ide14-java (= ${binary:Version}),
 libnb-java5-java (= ${binary:Version})
Description: Common NetBeans Platform Development Related Libraries for NetBeans
 The NetBeans Platform is a set of modules, each providing their own 
 APIs and working together or in a standalone mode. This package contains 
 common libraries for development of NetBeans Platform modular extensions.
