=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,downloadurlmangle=s/$/final\/zip/ \
http://dlc.sun.com.edgesuite.net/netbeans/ ([0-9.]*)/ debian debian/orig-tar.sh
